Marketplace on Xbox

There is two dlc’s that is saying that the below error for the YMHB Hobart International airport by NZA Simulations and the Boeing 737 Max by Bredok3d.

This content is not compatible with your current version of Microsoft Flight Simulator. Please update to download this content.

Probably cause they are not yet updated.

Per the Pinned Post in this forum category, please contact the developers directly for any support questions or pre-sales concerns. Thanks.

We (NZA Simulations) have submitted new versions of everything to the Microsoft, ORBX and our own Webstore is now updated for SU5.

The updates will be availible on our publishing partners platforms very soon.

1 Like